package com.example.kdan_data_center.datacenter.file.data

import com.google.gson.annotations.SerializedName


data class FileCredentialData(
        @SerializedName("message") val message: String,
        @SerializedName("data") val data: Data
) {

    data class Data(
            @SerializedName("credentials") val credentials: Credentials,
            @SerializedName("federated_user") val federatedUser: FederatedUser,
            @SerializedName("packed_policy_size") val packedPolicySize: Int
    ) {

        data class FederatedUser(
                @SerializedName("federated_user_id") val federatedUserId: String,
                @SerializedName("arn") val arn: String
        )
    }
}